petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMNetworkAddComponent

Adds a network component and number of variables at the given point (vertex/edge)

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkAddComponent(DM dm,PetscInt p,PetscInt componentkey,void* compvalue,PetscInt nvar)

Not Collective

### Input Parameters

| dm | - the DMNetworkObject
| p | - the vertex/edge point
| componentkey | - component key returned while registering the component; ignored if compvalue=NULL
| compvalue | - pointer to the data structure for the component, or NULL if not required.
| nvar | - number of variables for the component at the vertex/edge point

### See Also

DMNetworkGetComponent()

### Level

beginner

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages